#!/bin/bash

source ../cascade-make/lib/cascade-lib.bash GEXTGNOME .. $*

# The standard list of packages
pkglist="LIBZ LIBBZ2 EXPAT LIBPNG READLINE XMLPARSER INTLTOOL GETTEXT PKG-CONFIG LIBXML LIBFFI GLIB LIBGSF"

if [ "x$crossOS" != "x" ] ; then
  # cross compiling
  windows_pkglist="LIBZ LIBBZ2 EXPAT LIBPNG READLINE INTLTOOL LIBICONV GETTEXT LIBXML GLIB LIBGSF"

  android_pkglist="LIBZ LIBBZ2 EXPAT LIBPNG READLINE INTLTOOL LIBICONV GETTEXT LIBXML DBUS LIBFFI GLIB LIBGSF"


  if [ $crossOS = "android" ] ; then
    pkglist=$android_pkglist
  elif [ $crossOS = "windows" ] ; then
    pkglist=$windows_pkglist
  fi

fi

for d in $pkglist; do
 
    echo "    Running CASCADE-MAKE/$d.sh"

    ./CASCADE-MAKE/$d.sh $*

    if [ $? != 0 ] ; then
	echo "Error encountered running CASCADE-MAKE/$d.sh"
	exit 1
    fi
done

if [ $install = "1" ] ; then
  touch "$GEXTGNOME_INSTALLED/lib/pkgconfig/.fixed-prefix.awk"
fi

if [ $makedist = "1" ] ; then
  rm -f "$GEXTGNOME_INSTALLED/lib/pkgconfig/.fixed-prefix.awk"
  lalist=`find $GEXTGNOME_INSTALLED/lib -name "*.la"`
  if [ -n "$lalist" ] ; then
    rm -f $lalist
  fi
fi
